Updates the unavailability type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "5bce3a20-2605-462a-b9e1-81bf4bbc2645",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "9a817e07-9a38-4190-afdf-c91d932d321c",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "7100d9ff-5958-4cac-94c7-008012b66272",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "132e4a9c-907f-4100-94d6-bdc0aad02075",
    "db_currency_id": "32c8bd05-d634-4d6a-8a57-d45ac81d7b3f",
    "db_language_id": "04ecd2fd-3a5c-474e-bbb6-c7d134c6a7da",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-03T09:35:12.4327+00:00"
  },
  "modified_dateutc": "2026-11-03T09:35:12.4327+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.